#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private LizardTrader.LT_Current_Day_VWAP[] cacheLT_Current_Day_VWAP;
		private LizardTrader.LT_Current_Month_VWAP[] cacheLT_Current_Month_VWAP;
		private LizardTrader.LT_Current_Week_VWAP[] cacheLT_Current_Week_VWAP;
		private LizardTrader.LT_NMonthly_VWAP[] cacheLT_NMonthly_VWAP;
		private LizardTrader.LT_Rolling_VWAP[] cacheLT_Rolling_VWAP;

		
		public LizardTrader.LT_Current_Day_VWAP LT_Current_Day_VWAP(ltSessionTypeVWAPD sessionType, ltBandTypeVWAPD bandType, ltDataInputVWAPD dataInput, int barPeriod, ltCalcModeVWAPD calcMode, ltTimeZonesVWAPD customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return LT_Current_Day_VWAP(Input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public LizardTrader.LT_Current_Month_VWAP LT_Current_Month_VWAP(ltSessionTypeVWAPM sessionType, ltBandTypeVWAPM bandType, ltDataInputVWAPM dataInput, int barPeriod, ltCalcModeVWAPM calcMode, ltTimeZonesVWAPM customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return LT_Current_Month_VWAP(Input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public LizardTrader.LT_Current_Week_VWAP LT_Current_Week_VWAP(ltSessionTypeVWAPW sessionType, ltBandTypeVWAPW bandType, ltDataInputVWAPW dataInput, int barPeriod, ltCalcModeVWAPW calcMode, ltTimeZonesVWAPW customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return LT_Current_Week_VWAP(Input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public LizardTrader.LT_NMonthly_VWAP LT_NMonthly_VWAP(ltResetPeriodVWAPNM resetPeriod, ltSessionTypeVWAPNM sessionType, ltBandTypeVWAPNM bandType, ltDataInputVWAPNM dataInput, int barPeriod, ltCalcModeVWAPNM calcMode, ltTimeZonesVWAPNM customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return LT_NMonthly_VWAP(Input, resetPeriod, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public LizardTrader.LT_Rolling_VWAP LT_Rolling_VWAP(ltSessionTypeVWAPR sessionType, ltBandTypeVWAPR bandType, int rollingPeriod, ltTimeZonesVWAPR customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod1, int rangePeriod2)
		{
			return LT_Rolling_VWAP(Input, sessionType, bandType, rollingPeriod, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod1, rangePeriod2);
		}


		
		public LizardTrader.LT_Current_Day_VWAP LT_Current_Day_VWAP(ISeries<double> input, ltSessionTypeVWAPD sessionType, ltBandTypeVWAPD bandType, ltDataInputVWAPD dataInput, int barPeriod, ltCalcModeVWAPD calcMode, ltTimeZonesVWAPD customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			if (cacheLT_Current_Day_VWAP != null)
				for (int idx = 0; idx < cacheLT_Current_Day_VWAP.Length; idx++)
					if (cacheLT_Current_Day_VWAP[idx].SessionType == sessionType && cacheLT_Current_Day_VWAP[idx].BandType == bandType && cacheLT_Current_Day_VWAP[idx].DataInput == dataInput && cacheLT_Current_Day_VWAP[idx].BarPeriod == barPeriod && cacheLT_Current_Day_VWAP[idx].CalcMode == calcMode && cacheLT_Current_Day_VWAP[idx].CustomTZSelector == customTZSelector && cacheLT_Current_Day_VWAP[idx].S_CustomSessionStart == s_CustomSessionStart && cacheLT_Current_Day_VWAP[idx].S_CustomSessionEnd == s_CustomSessionEnd && cacheLT_Current_Day_VWAP[idx].MultiplierSD1 == multiplierSD1 && cacheLT_Current_Day_VWAP[idx].MultiplierSD2 == multiplierSD2 && cacheLT_Current_Day_VWAP[idx].MultiplierSD3 == multiplierSD3 && cacheLT_Current_Day_VWAP[idx].MultiplierRSD1 == multiplierRSD1 && cacheLT_Current_Day_VWAP[idx].MultiplierRSD2 == multiplierRSD2 && cacheLT_Current_Day_VWAP[idx].MultiplierRSD3 == multiplierRSD3 && cacheLT_Current_Day_VWAP[idx].MultiplierRMAD1 == multiplierRMAD1 && cacheLT_Current_Day_VWAP[idx].MultiplierRMAD2 == multiplierRMAD2 && cacheLT_Current_Day_VWAP[idx].MultiplierRMAD3 == multiplierRMAD3 && cacheLT_Current_Day_VWAP[idx].MultiplierQR1 == multiplierQR1 && cacheLT_Current_Day_VWAP[idx].MultiplierQR2 == multiplierQR2 && cacheLT_Current_Day_VWAP[idx].MultiplierQR3 == multiplierQR3 && cacheLT_Current_Day_VWAP[idx].RangePeriod2 == rangePeriod2 && cacheLT_Current_Day_VWAP[idx].RangePeriod3 == rangePeriod3 && cacheLT_Current_Day_VWAP[idx].EqualsInput(input))
						return cacheLT_Current_Day_VWAP[idx];
			return CacheIndicator<LizardTrader.LT_Current_Day_VWAP>(new LizardTrader.LT_Current_Day_VWAP(){ SessionType = sessionType, BandType = bandType, DataInput = dataInput, BarPeriod = barPeriod, CalcMode = calcMode, CustomTZSelector = customTZSelector, S_CustomSessionStart = s_CustomSessionStart, S_CustomSessionEnd = s_CustomSessionEnd, MultiplierSD1 = multiplierSD1, MultiplierSD2 = multiplierSD2, MultiplierSD3 = multiplierSD3, MultiplierRSD1 = multiplierRSD1, MultiplierRSD2 = multiplierRSD2, MultiplierRSD3 = multiplierRSD3, MultiplierRMAD1 = multiplierRMAD1, MultiplierRMAD2 = multiplierRMAD2, MultiplierRMAD3 = multiplierRMAD3, MultiplierQR1 = multiplierQR1, MultiplierQR2 = multiplierQR2, MultiplierQR3 = multiplierQR3, RangePeriod2 = rangePeriod2, RangePeriod3 = rangePeriod3 }, input, ref cacheLT_Current_Day_VWAP);
		}

		public LizardTrader.LT_Current_Month_VWAP LT_Current_Month_VWAP(ISeries<double> input, ltSessionTypeVWAPM sessionType, ltBandTypeVWAPM bandType, ltDataInputVWAPM dataInput, int barPeriod, ltCalcModeVWAPM calcMode, ltTimeZonesVWAPM customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			if (cacheLT_Current_Month_VWAP != null)
				for (int idx = 0; idx < cacheLT_Current_Month_VWAP.Length; idx++)
					if (cacheLT_Current_Month_VWAP[idx].SessionType == sessionType && cacheLT_Current_Month_VWAP[idx].BandType == bandType && cacheLT_Current_Month_VWAP[idx].DataInput == dataInput && cacheLT_Current_Month_VWAP[idx].BarPeriod == barPeriod && cacheLT_Current_Month_VWAP[idx].CalcMode == calcMode && cacheLT_Current_Month_VWAP[idx].CustomTZSelector == customTZSelector && cacheLT_Current_Month_VWAP[idx].S_CustomSessionStart == s_CustomSessionStart && cacheLT_Current_Month_VWAP[idx].S_CustomSessionEnd == s_CustomSessionEnd && cacheLT_Current_Month_VWAP[idx].MultiplierSD1 == multiplierSD1 && cacheLT_Current_Month_VWAP[idx].MultiplierSD2 == multiplierSD2 && cacheLT_Current_Month_VWAP[idx].MultiplierSD3 == multiplierSD3 && cacheLT_Current_Month_VWAP[idx].MultiplierRSD1 == multiplierRSD1 && cacheLT_Current_Month_VWAP[idx].MultiplierRSD2 == multiplierRSD2 && cacheLT_Current_Month_VWAP[idx].MultiplierRSD3 == multiplierRSD3 && cacheLT_Current_Month_VWAP[idx].MultiplierRMAD1 == multiplierRMAD1 && cacheLT_Current_Month_VWAP[idx].MultiplierRMAD2 == multiplierRMAD2 && cacheLT_Current_Month_VWAP[idx].MultiplierRMAD3 == multiplierRMAD3 && cacheLT_Current_Month_VWAP[idx].MultiplierQR1 == multiplierQR1 && cacheLT_Current_Month_VWAP[idx].MultiplierQR2 == multiplierQR2 && cacheLT_Current_Month_VWAP[idx].MultiplierQR3 == multiplierQR3 && cacheLT_Current_Month_VWAP[idx].RangePeriod2 == rangePeriod2 && cacheLT_Current_Month_VWAP[idx].RangePeriod3 == rangePeriod3 && cacheLT_Current_Month_VWAP[idx].EqualsInput(input))
						return cacheLT_Current_Month_VWAP[idx];
			return CacheIndicator<LizardTrader.LT_Current_Month_VWAP>(new LizardTrader.LT_Current_Month_VWAP(){ SessionType = sessionType, BandType = bandType, DataInput = dataInput, BarPeriod = barPeriod, CalcMode = calcMode, CustomTZSelector = customTZSelector, S_CustomSessionStart = s_CustomSessionStart, S_CustomSessionEnd = s_CustomSessionEnd, MultiplierSD1 = multiplierSD1, MultiplierSD2 = multiplierSD2, MultiplierSD3 = multiplierSD3, MultiplierRSD1 = multiplierRSD1, MultiplierRSD2 = multiplierRSD2, MultiplierRSD3 = multiplierRSD3, MultiplierRMAD1 = multiplierRMAD1, MultiplierRMAD2 = multiplierRMAD2, MultiplierRMAD3 = multiplierRMAD3, MultiplierQR1 = multiplierQR1, MultiplierQR2 = multiplierQR2, MultiplierQR3 = multiplierQR3, RangePeriod2 = rangePeriod2, RangePeriod3 = rangePeriod3 }, input, ref cacheLT_Current_Month_VWAP);
		}

		public LizardTrader.LT_Current_Week_VWAP LT_Current_Week_VWAP(ISeries<double> input, ltSessionTypeVWAPW sessionType, ltBandTypeVWAPW bandType, ltDataInputVWAPW dataInput, int barPeriod, ltCalcModeVWAPW calcMode, ltTimeZonesVWAPW customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			if (cacheLT_Current_Week_VWAP != null)
				for (int idx = 0; idx < cacheLT_Current_Week_VWAP.Length; idx++)
					if (cacheLT_Current_Week_VWAP[idx].SessionType == sessionType && cacheLT_Current_Week_VWAP[idx].BandType == bandType && cacheLT_Current_Week_VWAP[idx].DataInput == dataInput && cacheLT_Current_Week_VWAP[idx].BarPeriod == barPeriod && cacheLT_Current_Week_VWAP[idx].CalcMode == calcMode && cacheLT_Current_Week_VWAP[idx].CustomTZSelector == customTZSelector && cacheLT_Current_Week_VWAP[idx].S_CustomSessionStart == s_CustomSessionStart && cacheLT_Current_Week_VWAP[idx].S_CustomSessionEnd == s_CustomSessionEnd && cacheLT_Current_Week_VWAP[idx].MultiplierSD1 == multiplierSD1 && cacheLT_Current_Week_VWAP[idx].MultiplierSD2 == multiplierSD2 && cacheLT_Current_Week_VWAP[idx].MultiplierSD3 == multiplierSD3 && cacheLT_Current_Week_VWAP[idx].MultiplierRSD1 == multiplierRSD1 && cacheLT_Current_Week_VWAP[idx].MultiplierRSD2 == multiplierRSD2 && cacheLT_Current_Week_VWAP[idx].MultiplierRSD3 == multiplierRSD3 && cacheLT_Current_Week_VWAP[idx].MultiplierRMAD1 == multiplierRMAD1 && cacheLT_Current_Week_VWAP[idx].MultiplierRMAD2 == multiplierRMAD2 && cacheLT_Current_Week_VWAP[idx].MultiplierRMAD3 == multiplierRMAD3 && cacheLT_Current_Week_VWAP[idx].MultiplierQR1 == multiplierQR1 && cacheLT_Current_Week_VWAP[idx].MultiplierQR2 == multiplierQR2 && cacheLT_Current_Week_VWAP[idx].MultiplierQR3 == multiplierQR3 && cacheLT_Current_Week_VWAP[idx].RangePeriod2 == rangePeriod2 && cacheLT_Current_Week_VWAP[idx].RangePeriod3 == rangePeriod3 && cacheLT_Current_Week_VWAP[idx].EqualsInput(input))
						return cacheLT_Current_Week_VWAP[idx];
			return CacheIndicator<LizardTrader.LT_Current_Week_VWAP>(new LizardTrader.LT_Current_Week_VWAP(){ SessionType = sessionType, BandType = bandType, DataInput = dataInput, BarPeriod = barPeriod, CalcMode = calcMode, CustomTZSelector = customTZSelector, S_CustomSessionStart = s_CustomSessionStart, S_CustomSessionEnd = s_CustomSessionEnd, MultiplierSD1 = multiplierSD1, MultiplierSD2 = multiplierSD2, MultiplierSD3 = multiplierSD3, MultiplierRSD1 = multiplierRSD1, MultiplierRSD2 = multiplierRSD2, MultiplierRSD3 = multiplierRSD3, MultiplierRMAD1 = multiplierRMAD1, MultiplierRMAD2 = multiplierRMAD2, MultiplierRMAD3 = multiplierRMAD3, MultiplierQR1 = multiplierQR1, MultiplierQR2 = multiplierQR2, MultiplierQR3 = multiplierQR3, RangePeriod2 = rangePeriod2, RangePeriod3 = rangePeriod3 }, input, ref cacheLT_Current_Week_VWAP);
		}

		public LizardTrader.LT_NMonthly_VWAP LT_NMonthly_VWAP(ISeries<double> input, ltResetPeriodVWAPNM resetPeriod, ltSessionTypeVWAPNM sessionType, ltBandTypeVWAPNM bandType, ltDataInputVWAPNM dataInput, int barPeriod, ltCalcModeVWAPNM calcMode, ltTimeZonesVWAPNM customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			if (cacheLT_NMonthly_VWAP != null)
				for (int idx = 0; idx < cacheLT_NMonthly_VWAP.Length; idx++)
					if (cacheLT_NMonthly_VWAP[idx].ResetPeriod == resetPeriod && cacheLT_NMonthly_VWAP[idx].SessionType == sessionType && cacheLT_NMonthly_VWAP[idx].BandType == bandType && cacheLT_NMonthly_VWAP[idx].DataInput == dataInput && cacheLT_NMonthly_VWAP[idx].BarPeriod == barPeriod && cacheLT_NMonthly_VWAP[idx].CalcMode == calcMode && cacheLT_NMonthly_VWAP[idx].CustomTZSelector == customTZSelector && cacheLT_NMonthly_VWAP[idx].S_CustomSessionStart == s_CustomSessionStart && cacheLT_NMonthly_VWAP[idx].S_CustomSessionEnd == s_CustomSessionEnd && cacheLT_NMonthly_VWAP[idx].MultiplierSD1 == multiplierSD1 && cacheLT_NMonthly_VWAP[idx].MultiplierSD2 == multiplierSD2 && cacheLT_NMonthly_VWAP[idx].MultiplierSD3 == multiplierSD3 && cacheLT_NMonthly_VWAP[idx].MultiplierRSD1 == multiplierRSD1 && cacheLT_NMonthly_VWAP[idx].MultiplierRSD2 == multiplierRSD2 && cacheLT_NMonthly_VWAP[idx].MultiplierRSD3 == multiplierRSD3 && cacheLT_NMonthly_VWAP[idx].MultiplierRMAD1 == multiplierRMAD1 && cacheLT_NMonthly_VWAP[idx].MultiplierRMAD2 == multiplierRMAD2 && cacheLT_NMonthly_VWAP[idx].MultiplierRMAD3 == multiplierRMAD3 && cacheLT_NMonthly_VWAP[idx].MultiplierQR1 == multiplierQR1 && cacheLT_NMonthly_VWAP[idx].MultiplierQR2 == multiplierQR2 && cacheLT_NMonthly_VWAP[idx].MultiplierQR3 == multiplierQR3 && cacheLT_NMonthly_VWAP[idx].RangePeriod2 == rangePeriod2 && cacheLT_NMonthly_VWAP[idx].RangePeriod3 == rangePeriod3 && cacheLT_NMonthly_VWAP[idx].EqualsInput(input))
						return cacheLT_NMonthly_VWAP[idx];
			return CacheIndicator<LizardTrader.LT_NMonthly_VWAP>(new LizardTrader.LT_NMonthly_VWAP(){ ResetPeriod = resetPeriod, SessionType = sessionType, BandType = bandType, DataInput = dataInput, BarPeriod = barPeriod, CalcMode = calcMode, CustomTZSelector = customTZSelector, S_CustomSessionStart = s_CustomSessionStart, S_CustomSessionEnd = s_CustomSessionEnd, MultiplierSD1 = multiplierSD1, MultiplierSD2 = multiplierSD2, MultiplierSD3 = multiplierSD3, MultiplierRSD1 = multiplierRSD1, MultiplierRSD2 = multiplierRSD2, MultiplierRSD3 = multiplierRSD3, MultiplierRMAD1 = multiplierRMAD1, MultiplierRMAD2 = multiplierRMAD2, MultiplierRMAD3 = multiplierRMAD3, MultiplierQR1 = multiplierQR1, MultiplierQR2 = multiplierQR2, MultiplierQR3 = multiplierQR3, RangePeriod2 = rangePeriod2, RangePeriod3 = rangePeriod3 }, input, ref cacheLT_NMonthly_VWAP);
		}

		public LizardTrader.LT_Rolling_VWAP LT_Rolling_VWAP(ISeries<double> input, ltSessionTypeVWAPR sessionType, ltBandTypeVWAPR bandType, int rollingPeriod, ltTimeZonesVWAPR customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod1, int rangePeriod2)
		{
			if (cacheLT_Rolling_VWAP != null)
				for (int idx = 0; idx < cacheLT_Rolling_VWAP.Length; idx++)
					if (cacheLT_Rolling_VWAP[idx].SessionType == sessionType && cacheLT_Rolling_VWAP[idx].BandType == bandType && cacheLT_Rolling_VWAP[idx].RollingPeriod == rollingPeriod && cacheLT_Rolling_VWAP[idx].CustomTZSelector == customTZSelector && cacheLT_Rolling_VWAP[idx].S_CustomSessionStart == s_CustomSessionStart && cacheLT_Rolling_VWAP[idx].S_CustomSessionEnd == s_CustomSessionEnd && cacheLT_Rolling_VWAP[idx].MultiplierSD1 == multiplierSD1 && cacheLT_Rolling_VWAP[idx].MultiplierSD2 == multiplierSD2 && cacheLT_Rolling_VWAP[idx].MultiplierSD3 == multiplierSD3 && cacheLT_Rolling_VWAP[idx].MultiplierRSD1 == multiplierRSD1 && cacheLT_Rolling_VWAP[idx].MultiplierRSD2 == multiplierRSD2 && cacheLT_Rolling_VWAP[idx].MultiplierRSD3 == multiplierRSD3 && cacheLT_Rolling_VWAP[idx].MultiplierRMAD1 == multiplierRMAD1 && cacheLT_Rolling_VWAP[idx].MultiplierRMAD2 == multiplierRMAD2 && cacheLT_Rolling_VWAP[idx].MultiplierRMAD3 == multiplierRMAD3 && cacheLT_Rolling_VWAP[idx].MultiplierQR1 == multiplierQR1 && cacheLT_Rolling_VWAP[idx].MultiplierQR2 == multiplierQR2 && cacheLT_Rolling_VWAP[idx].MultiplierQR3 == multiplierQR3 && cacheLT_Rolling_VWAP[idx].RangePeriod1 == rangePeriod1 && cacheLT_Rolling_VWAP[idx].RangePeriod2 == rangePeriod2 && cacheLT_Rolling_VWAP[idx].EqualsInput(input))
						return cacheLT_Rolling_VWAP[idx];
			return CacheIndicator<LizardTrader.LT_Rolling_VWAP>(new LizardTrader.LT_Rolling_VWAP(){ SessionType = sessionType, BandType = bandType, RollingPeriod = rollingPeriod, CustomTZSelector = customTZSelector, S_CustomSessionStart = s_CustomSessionStart, S_CustomSessionEnd = s_CustomSessionEnd, MultiplierSD1 = multiplierSD1, MultiplierSD2 = multiplierSD2, MultiplierSD3 = multiplierSD3, MultiplierRSD1 = multiplierRSD1, MultiplierRSD2 = multiplierRSD2, MultiplierRSD3 = multiplierRSD3, MultiplierRMAD1 = multiplierRMAD1, MultiplierRMAD2 = multiplierRMAD2, MultiplierRMAD3 = multiplierRMAD3, MultiplierQR1 = multiplierQR1, MultiplierQR2 = multiplierQR2, MultiplierQR3 = multiplierQR3, RangePeriod1 = rangePeriod1, RangePeriod2 = rangePeriod2 }, input, ref cacheLT_Rolling_VWAP);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.LizardTrader.LT_Current_Day_VWAP LT_Current_Day_VWAP(ltSessionTypeVWAPD sessionType, ltBandTypeVWAPD bandType, ltDataInputVWAPD dataInput, int barPeriod, ltCalcModeVWAPD calcMode, ltTimeZonesVWAPD customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_Current_Day_VWAP(Input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_Current_Month_VWAP LT_Current_Month_VWAP(ltSessionTypeVWAPM sessionType, ltBandTypeVWAPM bandType, ltDataInputVWAPM dataInput, int barPeriod, ltCalcModeVWAPM calcMode, ltTimeZonesVWAPM customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_Current_Month_VWAP(Input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_Current_Week_VWAP LT_Current_Week_VWAP(ltSessionTypeVWAPW sessionType, ltBandTypeVWAPW bandType, ltDataInputVWAPW dataInput, int barPeriod, ltCalcModeVWAPW calcMode, ltTimeZonesVWAPW customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_Current_Week_VWAP(Input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_NMonthly_VWAP LT_NMonthly_VWAP(ltResetPeriodVWAPNM resetPeriod, ltSessionTypeVWAPNM sessionType, ltBandTypeVWAPNM bandType, ltDataInputVWAPNM dataInput, int barPeriod, ltCalcModeVWAPNM calcMode, ltTimeZonesVWAPNM customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_NMonthly_VWAP(Input, resetPeriod, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_Rolling_VWAP LT_Rolling_VWAP(ltSessionTypeVWAPR sessionType, ltBandTypeVWAPR bandType, int rollingPeriod, ltTimeZonesVWAPR customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod1, int rangePeriod2)
		{
			return indicator.LT_Rolling_VWAP(Input, sessionType, bandType, rollingPeriod, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod1, rangePeriod2);
		}


		
		public Indicators.LizardTrader.LT_Current_Day_VWAP LT_Current_Day_VWAP(ISeries<double> input , ltSessionTypeVWAPD sessionType, ltBandTypeVWAPD bandType, ltDataInputVWAPD dataInput, int barPeriod, ltCalcModeVWAPD calcMode, ltTimeZonesVWAPD customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_Current_Day_VWAP(input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_Current_Month_VWAP LT_Current_Month_VWAP(ISeries<double> input , ltSessionTypeVWAPM sessionType, ltBandTypeVWAPM bandType, ltDataInputVWAPM dataInput, int barPeriod, ltCalcModeVWAPM calcMode, ltTimeZonesVWAPM customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_Current_Month_VWAP(input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_Current_Week_VWAP LT_Current_Week_VWAP(ISeries<double> input , ltSessionTypeVWAPW sessionType, ltBandTypeVWAPW bandType, ltDataInputVWAPW dataInput, int barPeriod, ltCalcModeVWAPW calcMode, ltTimeZonesVWAPW customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_Current_Week_VWAP(input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_NMonthly_VWAP LT_NMonthly_VWAP(ISeries<double> input , ltResetPeriodVWAPNM resetPeriod, ltSessionTypeVWAPNM sessionType, ltBandTypeVWAPNM bandType, ltDataInputVWAPNM dataInput, int barPeriod, ltCalcModeVWAPNM calcMode, ltTimeZonesVWAPNM customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_NMonthly_VWAP(input, resetPeriod, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_Rolling_VWAP LT_Rolling_VWAP(ISeries<double> input , ltSessionTypeVWAPR sessionType, ltBandTypeVWAPR bandType, int rollingPeriod, ltTimeZonesVWAPR customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod1, int rangePeriod2)
		{
			return indicator.LT_Rolling_VWAP(input, sessionType, bandType, rollingPeriod, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod1, rangePeriod2);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.LizardTrader.LT_Current_Day_VWAP LT_Current_Day_VWAP(ltSessionTypeVWAPD sessionType, ltBandTypeVWAPD bandType, ltDataInputVWAPD dataInput, int barPeriod, ltCalcModeVWAPD calcMode, ltTimeZonesVWAPD customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_Current_Day_VWAP(Input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_Current_Month_VWAP LT_Current_Month_VWAP(ltSessionTypeVWAPM sessionType, ltBandTypeVWAPM bandType, ltDataInputVWAPM dataInput, int barPeriod, ltCalcModeVWAPM calcMode, ltTimeZonesVWAPM customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_Current_Month_VWAP(Input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_Current_Week_VWAP LT_Current_Week_VWAP(ltSessionTypeVWAPW sessionType, ltBandTypeVWAPW bandType, ltDataInputVWAPW dataInput, int barPeriod, ltCalcModeVWAPW calcMode, ltTimeZonesVWAPW customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_Current_Week_VWAP(Input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_NMonthly_VWAP LT_NMonthly_VWAP(ltResetPeriodVWAPNM resetPeriod, ltSessionTypeVWAPNM sessionType, ltBandTypeVWAPNM bandType, ltDataInputVWAPNM dataInput, int barPeriod, ltCalcModeVWAPNM calcMode, ltTimeZonesVWAPNM customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_NMonthly_VWAP(Input, resetPeriod, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_Rolling_VWAP LT_Rolling_VWAP(ltSessionTypeVWAPR sessionType, ltBandTypeVWAPR bandType, int rollingPeriod, ltTimeZonesVWAPR customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod1, int rangePeriod2)
		{
			return indicator.LT_Rolling_VWAP(Input, sessionType, bandType, rollingPeriod, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod1, rangePeriod2);
		}


		
		public Indicators.LizardTrader.LT_Current_Day_VWAP LT_Current_Day_VWAP(ISeries<double> input , ltSessionTypeVWAPD sessionType, ltBandTypeVWAPD bandType, ltDataInputVWAPD dataInput, int barPeriod, ltCalcModeVWAPD calcMode, ltTimeZonesVWAPD customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_Current_Day_VWAP(input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_Current_Month_VWAP LT_Current_Month_VWAP(ISeries<double> input , ltSessionTypeVWAPM sessionType, ltBandTypeVWAPM bandType, ltDataInputVWAPM dataInput, int barPeriod, ltCalcModeVWAPM calcMode, ltTimeZonesVWAPM customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_Current_Month_VWAP(input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_Current_Week_VWAP LT_Current_Week_VWAP(ISeries<double> input , ltSessionTypeVWAPW sessionType, ltBandTypeVWAPW bandType, ltDataInputVWAPW dataInput, int barPeriod, ltCalcModeVWAPW calcMode, ltTimeZonesVWAPW customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_Current_Week_VWAP(input, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_NMonthly_VWAP LT_NMonthly_VWAP(ISeries<double> input , ltResetPeriodVWAPNM resetPeriod, ltSessionTypeVWAPNM sessionType, ltBandTypeVWAPNM bandType, ltDataInputVWAPNM dataInput, int barPeriod, ltCalcModeVWAPNM calcMode, ltTimeZonesVWAPNM customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod2, int rangePeriod3)
		{
			return indicator.LT_NMonthly_VWAP(input, resetPeriod, sessionType, bandType, dataInput, barPeriod, calcMode, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod2, rangePeriod3);
		}

		public Indicators.LizardTrader.LT_Rolling_VWAP LT_Rolling_VWAP(ISeries<double> input , ltSessionTypeVWAPR sessionType, ltBandTypeVWAPR bandType, int rollingPeriod, ltTimeZonesVWAPR customTZSelector, string s_CustomSessionStart, string s_CustomSessionEnd, double multiplierSD1, double multiplierSD2, double multiplierSD3, double multiplierRSD1, double multiplierRSD2, double multiplierRSD3, double multiplierRMAD1, double multiplierRMAD2, double multiplierRMAD3, double multiplierQR1, double multiplierQR2, double multiplierQR3, int rangePeriod1, int rangePeriod2)
		{
			return indicator.LT_Rolling_VWAP(input, sessionType, bandType, rollingPeriod, customTZSelector, s_CustomSessionStart, s_CustomSessionEnd, multiplierSD1, multiplierSD2, multiplierSD3, multiplierRSD1, multiplierRSD2, multiplierRSD3, multiplierRMAD1, multiplierRMAD2, multiplierRMAD3, multiplierQR1, multiplierQR2, multiplierQR3, rangePeriod1, rangePeriod2);
		}

	}
}

#endregion
